Subject: Re: [EXT] Re: bug#49894: 28.0.50; emacsclient -t no longer creates a frame

From: John Eismeier <[email-masked]>
Date: Thu, 05 Aug 2021 15:29:55 -0400

* emacs -Q --daemon
* in the scratch buffer (add-to-list 'load-path "~/tools/share/emacs/site-lisp")
  use CTRL-x-CTRL-e
* emacsclient -t
* scratch buffer (autoload 'notmuch "notmuch" "Notmuch mail" t)
* M-x notmuch
* read some email
* CTRL-x-5-0
* emacsclient -t

and repeat the emacsclient -t cycle after pulling in or deleting email
using mbsync.

When I first was blocked I have been using the starter kit below:

https://github.com/larstvei/dot-emacs

but even with this out I still was blocked using the emacs -Q --daemon;
emacsclient -t and adding notmutch.

Sorry if I am making a mess of my request.

Eli Zaretskii <[email-masked]> writes:

>> From: John Eismeier <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 05 Aug 2021 14:17:53 -0400
>> 
>> 
>> With no package changes and using CTRL-x-5-0 over time I see with
>> emacsclient -t
>> 
>> *ERROR*: No applicable method: frame-creation-function
>
> Sorry, I don't think I follow.  Please show the recipe for reproducing
> the problem step by step, starting from "emacs -Q".

-- 
                                 John